{"swagger":"2.0","info":{"version":"v1","title":"KashFlow.RestApi"},"host":"api.kashflow.com:443","basePath":"/v2","schemes":["https"],"paths":{"/accountantsaccess":{"get":{"tags":["AccountantsAccess"],"summary":"Get accountants linked to the current user's account.","operationId":"AccountantsAccess_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.AccountantsAccess.AccountantAccess"}}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"delete":{"tags":["AccountantsAccess"],"summary":"Revokes the accountant's access to the current user's account.","operationId":"AccountantsAccess_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","description":"The accountant's email address.","required":true,"type":"string"}],"responses":{"204":{"description":"Accountant access revoked"},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/accountantsaccess/lookup":{"get":{"tags":["AccountantsAccess"],"summary":"Looks up an accountant by email address to verify they are registered and not already linked to the current user's account.","operationId":"AccountantsAccess_GetAccountantForAccess","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.AccountantsAccess.AccountantLookupResponse"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Accountant not registered in the system"}},"deprecated":false}},"/accountingperiods":{"get":{"tags":["AccountingPeriod"],"summary":"This API allows a developer to retrieve a list of accounting periods available in specific IRIS KashFlow account.","operationId":"AccountingPeriod_GetAccountingPeriods","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Response.AccountingPeriodResponse"}}}},"deprecated":false},"post":{"tags":["AccountingPeriod"],"summary":"This API allows a developer to create a new accounting period.","operationId":"AccountingPeriod_SaveAccountingPeriods","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountingPeriodRequest","in":"body","description":"Accounting periods details to be updated","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Wrapper.AccountingPeriodWrapper"}}],"responses":{"200":{"description":"Save Accounting Periods"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/accountingperiods/{id}":{"delete":{"tags":["AccountingPeriod"],"summary":"This API allows developer to delete existing accounting period(s) with given ID and all the years after given ID.","operationId":"AccountingPeriod_DeleteAccountingPeriod","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"System generated unique Id of the accounting period. I which you want to delete.\r\n            Accounting period with such ID must be present.\r\n            One cannot delete accounting period after yearend posting.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Accounting Periods Deleted"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Accounting Period Not Found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/accountsummary":{"get":{"tags":["AccountSummary"],"summary":"Get display settings and dashboard widget details","operationId":"AccountSummary_GetAccountSummary","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.AccountSummary"}}},"deprecated":false}},"/postcodes/{postcode}":{"get":{"tags":["AddressFinder"],"summary":"Returns the list of addresses for a postcode.","operationId":"AddressFinder_GetAddressFromPostcode","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"postcode","in":"path","description":"the postcode to retrieve","required":true,"type":"string"}],"responses":{"200":{"description":"Address details fetched based on postcode match.","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.IdealPostcodes.PostcodeResponse"}},"402":{"description":"4020 - Key balance depleted (No lookups remaining error) OR 4021 - Lookup Limit Reached (Limit breach error. Either daily or individual lookup limit has been reached.)","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Postcode not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/customers/{code}/advancepayments":{"get":{"tags":["AdvancePayment"],"summary":"Get the advance payment list for a customer, by code","operationId":"AdvancePayment_GetCustomerAdvancePayments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"code","in":"path","description":"The customer code.","required":true,"type":"string"},{"name":"page","in":"query","description":"The page number.","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","description":"PerPage is number of records per page. (default is 10)","required":false,"type":"integer","format":"int32"},{"name":"order","in":"query","description":"sort list by ascending or descending order","required":false,"type":"string"},{"name":"sortby","in":"query","description":"sort column 1 = TransactionDate,  2 = Amount,  3 = Comment","required":false,"type":"integer","format":"int32","enum":[1,2,3]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.Model.AdvancePayment]"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"No customer found with that code","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/suppliers/{code}/advancepayments":{"get":{"tags":["AdvancePayment"],"summary":"Get the advance payment list for a supplier, by code","operationId":"AdvancePayment_GetSupplierAdvancePayments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"code","in":"path","description":"The supplier code.","required":true,"type":"string"},{"name":"page","in":"query","description":"The page number.","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","description":"PerPage is number of records per page. (default is 10)","required":false,"type":"integer","format":"int32"},{"name":"order","in":"query","description":"sort list by ascending or descending order","required":false,"type":"string"},{"name":"sortby","in":"query","description":"sort column 1 = TransactionDate,  2 = Amount,  3 = Comment","required":false,"type":"integer","format":"int32","enum":[1,2,3]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.Model.AdvancePayment]"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"No supplier found with that code","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/reports/agedcreditors":{"get":{"tags":["AgedCreditorsReport"],"summary":"This API allows a developer to get age creditors report.\r\n            The Aged Creditors report is used to view the amount of money that you owe to, or are owed by, your suppliers (also known as creditors) until a specific date.\r\n            It will display the current balance you owe and the historical balance over the last three months and beyond.","operationId":"AgedCreditorsReport_GetReportForUser","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"endDate","in":"query","description":"The date you would like the report to run up until","required":true,"type":"string","format":"date-time"},{"name":"showBreakdown","in":"query","description":"Flag to indicate whether to show or hide breakdown. Default is false. i.e., breakdown is not shown.","required":false,"type":"boolean"},{"name":"showSupplier","in":"query","description":"Flag to show/hide Supplier even when the total owed is 0 (Even though there are unpaid purchases). Default is false.","required":false,"type":"boolean"},{"name":"sortOrder","in":"query","description":"Sorting order (asc or desc) (default is asc) 0 = Asc,  1 = Desc","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"SortBy","in":"query","description":"Sort By column/field name. (default is name) 0 = Code,  1 = Name","required":false,"type":"integer","format":"int32","enum":[0,1]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.AgedCreditorsReport.AgedCreditorsReport"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/reports/ageddebtors":{"get":{"tags":["AgedDebtorsReport"],"summary":"This API allows a developer to get age debtors report.\r\n            The Aged Debtors report is used to view the amount of money that you owe to, or are owed by, your customers (also known as debtors) until a specific date.\r\n            It will display the current balance you owe and also the historical balance over the last three months and beyond.","operationId":"AgedDebtorsReport_GetReportForUser","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"endDate","in":"query","description":"End date for the aged debtors report","required":true,"type":"string","format":"date-time"},{"name":"showBreakdown","in":"query","description":"Flag to indicate whether to show or hide breakdown.\r\n            Default is false. i.e., breakdown is not shown.","required":false,"type":"boolean"},{"name":"showCustomer","in":"query","description":"Flag to show/hide customer even when the total owed is 0 (Even though there are unpaid invoices).\r\n            Default is false","required":false,"type":"boolean"},{"name":"sortOrder","in":"query","description":"Sort order 0 = Asc,  1 = Desc","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"SortBy","in":"query","description":"Sort by code or name 0 = Code,  1 = Name","required":false,"type":"integer","format":"int32","enum":[0,1]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.AgedDebtorsReport.AgedDebtorsReport"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/alert/{messageId}":{"put":{"tags":["AlertMessage"],"summary":"Mark an alert as read and get a list of unread alerts","operationId":"AlertMessage_HideNotificationMessage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"messageId","in":"path","description":"Message Id to be marked as read","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Message"}}}},"deprecated":false}},"/internal/amazonfiles/migration":{"put":{"tags":["AmazonFile"],"summary":"Move files from Amazon to Dropbox","operationId":"AmazonFile_MigrateAmazonFiles","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"Moved files from Amazon to Dropbox"}},"deprecated":false}},"/api/settings/ipaddress":{"get":{"tags":["ApiSettings"],"summary":"Get the API settings","operationId":"ApiSettings_GetIPAddresses","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.IPAddress"}}}},"deprecated":false},"post":{"tags":["ApiSettings"],"summary":"Get the API settings","operationId":"ApiSettings_AddIPAddress","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ipAddressRequest","in":"body","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.IPAddressBase"}}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.IPAddressBase"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/api/settings/ipaddress/{id}":{"delete":{"tags":["ApiSettings"],"summary":"Delete a restricted IP address","operationId":"ApiSettings_DeleteIPAddress","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"The id of the restricted IP address to delete.","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"IP Address Deleted"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"IP Address Not Found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/sessiontoken":{"get":{"tags":["Authentication"],"summary":"This is only used for automatic login from sec.kf or any external link","operationId":"Authentication_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"externalToken","in":"query","description":"GUID","required":true,"type":"string"},{"name":"uid","in":"query","description":"t_user.uid","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.ExternTokenAuthenticationResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity Not Found"}},"deprecated":false},"put":{"tags":["Authentication"],"summary":"Generate a permanent token based on valid memorable word characters and a temporary token","operationId":"Authentication_Put","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"authRequest","in":"body","description":"Authentication details object","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.PermanentTokenAuthenticationDetailsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.PermanentTokenAuthenticationDetailsResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity Not Found"}},"deprecated":false},"post":{"tags":["Authentication"],"summary":"Send a request to get a temporary token","operationId":"Authentication_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"authRequest","in":"body","description":"CompanyName Username and Password","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.AuthenticationDetailsRequest"}},{"name":"oldApp","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}},"201":{"description":"Get Temporary Token","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.AuthenticationDetailsResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity Not Found"}},"deprecated":false}},"/sessiontoken/{id}":{"get":{"tags":["Authentication"],"summary":"Create Permanent link","operationId":"Authentication_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"ID of the company to create token for","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Authentication.CompanyIdAuthenticationResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity Not Found"}},"deprecated":false}},"/sessiontoken/{sessionToken}":{"delete":{"tags":["Authentication"],"summary":"Delete the session token","operationId":"Authentication_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"sessionToken","in":"path","description":"Session Token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity Not Found"}},"deprecated":false}},"/sessiontoken/mobile":{"post":{"tags":["Authentication"],"summary":"Create KF session token for mobile user.","operationId":"Authentication_CreateKFSessionToken","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/sessiontoken/dext/{oauthToken}":{"get":{"tags":["Authentication"],"summary":"Verify the user logged is valid for the given dext token","operationId":"Authentication_VerifyDextToken","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"oauthToken","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/backup/{backupNumber}":{"get":{"tags":["Backup"],"summary":"Download the back up file","operationId":"Backup_file","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"backupNumber","in":"path","description":"backupNumber to download the file","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/reports/balancesheet":{"get":{"tags":["BalanceSheetReport"],"operationId":"BalanceSheetReport_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"endDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"startDate","in":"query","required":false,"type":"string","format":"date-time"},{"name":"excludeZeroBalance","in":"query","required":false,"type":"boolean"},{"name":"showBreakdown","in":"query","required":false,"type":"boolean"},{"name":"accountingType","in":"query","description":" 0 = Cash,  1 = Accrual","required":false,"type":"integer","format":"int32","enum":[0,1]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BalanceSheetReport.BalanceSheetReport"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/suggestedcode":{"get":{"tags":["BankAccount"],"summary":"Get the next available bank code for the bank account. This is used to populate the Code field on the Create Bank Account screen","operationId":"BankAccount_GetSuggestedCode","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"format":"int32","type":"integer"}},"401":{"description":"Unauthorized Access ","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts":{"get":{"tags":["BankAccount"],"summary":"Get bank accounts list for user","operationId":"BankAccount_GetList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"includeArchivedAccounts","in":"query","description":"Include Archived Accounts","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountListResponse"}}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"post":{"tags":["BankAccount"],"summary":"Create a new bank account","operationId":"BankAccount_Create","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankAccountRequest","in":"body","description":"Bank account details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountRequest"}}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/list":{"get":{"tags":["BankAccount"],"summary":"Get paginated list of user bank accounts","operationId":"BankAccount_GetList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"Page number. (default is 1)","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","description":"PerPage is number of records per page. (default is 1000)","required":false,"type":"integer","format":"int32"},{"name":"order","in":"query","description":"In what order to sort the list","required":false,"type":"string"},{"name":"includemonthlystats","in":"query","description":"Flag to include/exclude bank account`s monthly statistics","required":false,"type":"boolean"},{"name":"includearchivedaccounts","in":"query","description":"Flag to include/exclude archived bank accounts","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.DTO.BankAccount.BankAccountListResponse]"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{id}":{"get":{"tags":["BankAccount"],"summary":"Get a list of user bank accounts, by ID","operationId":"BankAccount_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Bank account Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Not Found"}},"deprecated":false},"put":{"tags":["BankAccount"],"summary":"Update the user bank account details, by ID","operationId":"BankAccount_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Bank account Id","required":true,"type":"integer","format":"int32"},{"name":"bankAccountRequest","in":"body","description":"Bank account details that need to be updated","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountUpdateRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankAccount.BankAccountResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Not Found"}},"deprecated":false},"delete":{"tags":["BankAccount"],"summary":"Delete the user bank account, by ID","operationId":"BankAccount_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Bank account Id to be deleted","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"Bankaccount deleted"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"No Bankaccount found with that id"}},"deprecated":false}},"/bankaccounts/bank-order":{"put":{"tags":["BankAccount"],"summary":"Update bank account order","operationId":"BankAccount_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankAccountRequest","in":"body","description":"Bank account request","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.BankAccountListRequest"}}}],"responses":{"200":{"description":"Bank account order has been updated"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/feeds":{"post":{"tags":["BankAccount"],"summary":"Register the user for bank feeds","operationId":"BankAccount_RegisterBankFeeds","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"feedSourceProvider","in":"query","description":"Transactions are to be created on BankFeed","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"delete":{"tags":["BankAccount"],"summary":"Remove user from bank feeds","operationId":"BankAccount_UnegisterBankFeeds","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"204":{"description":"Unregistered the BankFeeds"}},"deprecated":false}},"/bankaccounts/{accountid}":{"put":{"tags":["BankAccount"],"summary":"Associate bank account with KashFlow bank account","operationId":"BankAccount_AttachBankFeed","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountid","in":"path","description":"KashFlow bank account ID","required":true,"type":"integer","format":"int32"},{"name":"attachFeedAccount","in":"query","description":"Corresponding bank feed account ID","required":true,"type":"integer","format":"int32"},{"name":"feedSiteName","in":"query","required":true,"type":"string"},{"name":"feedAccountName","in":"query","required":true,"type":"string"},{"name":"feedAccountNumber","in":"query","required":true,"type":"string"},{"name":"feedAccountHolder","in":"query","required":true,"type":"string"},{"name":"feedSource","in":"query","required":false,"type":"string"}],"responses":{"204":{"description":"Attached bank feeds account with the KashFlow bank account"}},"deprecated":false}},"/bankaccounts/{BankAccountId}/bankfeeds":{"post":{"tags":["BankAccount"],"summary":"Create a bank feed account","operationId":"BankAccount_CreateBankFeedsAccount","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"BankAccountId","in":"path","description":"This is KashFlow Bank Account ID","required":true,"type":"integer","format":"int32"},{"name":"bankfeedSource","in":"body","description":"Transactions are to be created on BankFeed","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"BankFeed account created"}},"deprecated":false}},"/bankfeeds":{"get":{"tags":["BankFeed"],"summary":"Get a list of bank feeds","operationId":"BankFeed_GetListOfBankFeeds","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankfeeds/{BankFeedsAccountId}":{"get":{"tags":["BankFeed"],"summary":"Get a list of bank feeds by account ID","operationId":"BankFeed_GetBankFeed","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"BankFeedsAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankfeeds/{BankFeedsAccountId}/transactions":{"get":{"tags":["BankFeed"],"summary":"Get a list of bank feed transactions by account ID","operationId":"BankFeed_GetBankFeedAccountTransactions","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"BankFeedsAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"startDate","in":"query","description":"","required":false,"type":"string"},{"name":"endDate","in":"query","description":"","required":false,"type":"string"},{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"sortcolumn","in":"query","description":"","required":false,"type":"string"},{"name":"order","in":"query","description":"","required":false,"type":"string"},{"name":"batch","in":"query","description":"","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false},"delete":{"tags":["BankFeed"],"summary":"Delete the bank feed transactions linked to the KashFlow Bank Account ID","operationId":"BankFeed_DeleteBankFeedAccountTransactions","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"BankFeedsAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"batch","in":"query","description":"","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankfeeds/{bankFeedsAccountId}/transactions/{transactionId}":{"get":{"tags":["BankFeed"],"summary":"Get a list of bank feed transactions by transaction ID","operationId":"BankFeed_GetBankFeedAccountTransaction","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankFeedsAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"transactionId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false},"delete":{"tags":["BankFeed"],"summary":"Delete the bank feed transactions linked to the KashFlow Bank Account ID, by account ID","operationId":"BankFeed_DeleteBankFeedAccountTransaction","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankFeedsAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"transactionId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankfeeds/{BankFeedAccountId}/transactions":{"post":{"tags":["BankFeed"],"summary":"Create bank feed transactions and link to the KashFlow Bank Account ID","operationId":"BankFeed_CreateBankFeedsTransactions","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"BankFeedAccountId","in":"path","description":"This is Bank feed Account ID","required":true,"type":"integer","format":"int32"},{"name":"transactions","in":"body","description":"Transactions are to be created on BankFeed","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.BankFeed.BankFeedTransaction"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankfeeds/{bankFeedAccountId}/transactions/file":{"post":{"tags":["BankFeed"],"summary":"Create a file of the bank feed transactions linked to the KashFlow Bank Account ID","operationId":"BankFeed_CreateBankFeedsTransactions","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankFeedAccountId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankicons":{"get":{"tags":["BankIcon"],"summary":"Get list of bank icons","operationId":"BankIcon_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/bankaccounts/{bankaccountId}/reconciliations/metadata":{"get":{"tags":["BankReconciliation"],"summary":"Get the next reconciliation start date and start balance for the bank account, by ID","operationId":"BankReconciliation_GetMetadata","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetails"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{bankaccountId}/reconciliations":{"get":{"tags":["BankReconciliation"],"summary":"Get a list of bank reconciliations for the bank account ID","operationId":"BankReconciliation_GetPage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"page","in":"query","description":"page number","required":false,"type":"integer","format":"int32"},{"name":"perPage","in":"query","description":"page size","required":false,"type":"integer","format":"int32"},{"name":"sortOrder","in":"query","description":"sort order 0 = Asc,  1 = Desc","required":false,"type":"integer","format":"int32","enum":[0,1]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationResponse]"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"post":{"tags":["BankReconciliation"],"summary":"Create a bank reconciliation","operationId":"BankReconciliation_Create","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"bankReconciliationBase","in":"body","description":"Reconciliation Details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Base.BankReconciliationBase"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetailedResponse"}},"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{bankaccountId}/reconciliations/{reconciliationId}":{"get":{"tags":["BankReconciliation"],"summary":"Get bank reconciliation details, by ID","operationId":"BankReconciliation_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"reconciliationId","in":"path","description":"ReconciliationId","required":true,"type":"integer","format":"int32"},{"name":"excludetransactions","in":"query","description":"Excludetransactions","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"put":{"tags":["BankReconciliation"],"summary":"Update an existing bank reconciliation, by ID","operationId":"BankReconciliation_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"reconciliationId","in":"path","description":"ReconciliationId","required":true,"type":"integer","format":"int32"},{"name":"bankReconciliationRequest","in":"body","description":"reconciliation Details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetailedResponse"}},"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.BankReconciliationDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"delete":{"tags":["BankReconciliation"],"summary":"Delete the bank reconciliation, by ID","operationId":"BankReconciliation_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"reconciliationId","in":"path","description":"ReconciliationId","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}},"204":{"description":"Reconciliation deleted"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{bankaccountId}/reconciliations/{reconciliationId}/transactions":{"put":{"tags":["BankReconciliation"],"summary":"Update transactions on the bank reconciliation","operationId":"BankReconciliation_UpdateTransactionReconcilationStatus","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankaccountId","in":"path","description":"BankaccountId","required":true,"type":"integer","format":"int32"},{"name":"reconciliationId","in":"path","description":"ReconciliationId","required":true,"type":"integer","format":"int32"},{"name":"reconcilationItemsRequest","in":"body","description":"transactions Details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankReconciliation.ReconcilationItemsRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.BankReconciliationTransaction"}}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{accountId}/transactions":{"get":{"tags":["BankTransaction"],"summary":"Get the bank transaction list, by bank account ID","operationId":"BankTransaction_GetPage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"Account Id to retrieve transactions for","required":true,"type":"integer","format":"int32"},{"name":"page","in":"query","description":"Page number. (default is 1)","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","description":"PerPage is number of records per page. (default is 10)","required":false,"type":"integer","format":"int32"},{"name":"startdate","in":"query","description":"Optional. If set, only transactions with date starting from this day will be returned","required":false,"type":"string"},{"name":"enddate","in":"query","description":"Optional. If set, only transactions with date before on this day will be returned","required":false,"type":"string"},{"name":"sortcolumn","in":"query","description":"By what to sort the list 1 = Date,  2 = PaidIn,  3 = PaidOut,  4 = TransactionType,  5 = Comment,  6 = Name","required":false,"type":"integer","format":"int32","enum":[1,2,3,4,5,6]},{"name":"order","in":"query","description":"In what order to sort the list","required":false,"type":"string"},{"name":"filterby","in":"query","description":"Status Filter","required":false,"type":"string"},{"name":"includebulk","in":"query","description":"Whether to include bulk","required":false,"type":"boolean"},{"name":"searchtext","in":"query","description":"Filter by text","required":false,"type":"string"},{"name":"includefeedmatched","in":"query","description":"Whether to include matched feed","required":false,"type":"boolean"},{"name":"includejournals","in":"query","description":"&gt;Whether to include journal","required":false,"type":"boolean"},{"name":"includenominalcodebanktransactions","in":"query","description":"Whether to include Bank transactions of money type","required":false,"type":"boolean"},{"name":"reconciled","in":"query","description":"Whether to return reconciled or unreconciled transactions. Passing null disabled this filter","required":false,"type":"boolean"},{"name":"iscsv","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.DTO.BankTransaction.BankTransactionListResponse,KashFlow.Accounting.Model.BankTransactionPagingMetadata]"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"post":{"tags":["BankTransaction"],"summary":"Create a bank transaction","operationId":"BankTransaction_Create","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"AccountId","required":true,"type":"integer","format":"int32"},{"name":"bankTransactionRequest","in":"body","description":"Transaction Details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailedResponse"}},"201":{"description":"transaction added","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{accountId}/transactions/{transactionId}":{"get":{"tags":["BankTransaction"],"summary":"Get the bank transaction details. by account ID","operationId":"BankTransaction_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"AccountId","required":true,"type":"integer","format":"int32"},{"name":"transactionId","in":"path","description":"TransactionId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"put":{"tags":["BankTransaction"],"summary":"Update an existing bank transaction, by ID","operationId":"BankTransaction_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"AccountId","required":true,"type":"integer","format":"int32"},{"name":"transactionId","in":"path","description":"TransactionId","required":true,"type":"integer","format":"int64"},{"name":"bankTransactionRequest","in":"body","description":"transaction details","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailedResponse"}},"201":{"description":"transaction updated","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionDetailedResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"delete":{"tags":["BankTransaction"],"summary":"Delete a bank transaction, by ID","operationId":"BankTransaction_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"Accound Id of transaction","required":true,"type":"integer","format":"int32"},{"name":"transactionId","in":"path","description":"ID of the transaction","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"No Content"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{accountId}/transactionlist":{"put":{"tags":["BankTransaction"],"summary":"Assign bank transactions to invoices and purchases and then delete the bank transaction","operationId":"BankTransaction_AssignTransactionToPayment","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"Bank account id","required":true,"type":"integer","format":"int32"},{"name":"bankTransactionBulkAssignRequest","in":"body","description":"list of bank transaction with conversion info.","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankTransactionBulkAssignRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.BankTransactionBulkAssign"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"delete":{"tags":["BankTransaction"],"summary":"Bulk delete bank transactions","operationId":"BankTransaction_DeleteBankTransaction","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"Bank account id","required":true,"type":"integer","format":"int32"},{"name":"transactionIds","in":"body","description":"List of transaction ids","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Base.BankTransactionMassDeleteStatus"}}},"204":{"description":"No Content"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/assign-transaction-to-new-entity":{"post":{"tags":["BankTransaction"],"summary":"Create bank transactions to invoices and purchases and then delete the bank transaction","operationId":"BankTransaction_ConvertBankTransactionToEntity","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"bankTransactionBulkCreateRequest","in":"body","description":"list of bank createEntityRequest with conversion info.","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Bank.CreateToEntityWrapper"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Bank.EntityMassCreateStatus"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{accountId}/transactions/bfs":{"get":{"tags":["BankTransaction"],"summary":"Get a list of transactions, imported via bank feeds","operationId":"BankTransaction_GetBankTransaction","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"AccountId","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"format":"int64","type":"integer"}}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/bankaccounts/{accountId}/transactions/bfstransactions":{"get":{"tags":["BankTransaction"],"summary":"Get details of the transaction list, imported via bank feeds","operationId":"BankTransaction_GetDetailedBankTransaction","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"accountId","in":"path","description":"AccountId","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.DTO.BankTransaction.BankFeedTransactionResponse"}}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/branding":{"get":{"tags":["Branding"],"summary":"Gets the user branding setting set by their partner.","operationId":"Branding_GetBrandingSettings","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.BrandingSettings"}}},"deprecated":false}},"/documents/invoice/bulk":{"post":{"tags":["BulkDocument"],"summary":"Generate a link to view a PDF copy of multiple invoices","operationId":"BulkDocument_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"invoiceNumbers","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}},{"name":"order","in":"query","description":"","required":false,"type":"string"},{"name":"sortBy","in":"query","description":"","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/documents/customerstatement/bulk":{"post":{"tags":["BulkDocument"],"summary":"Generate a link to get a statement for multiple customers","operationId":"BulkDocument_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"customerCodes","in":"body","description":"","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/documents/supplierstatement/bulk":{"post":{"tags":["BulkDocument"],"summary":"Generate a link to get a statement for multiple suppliers","operationId":"BulkDocument_CreateSupplierStatement","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"supplierCodes","in":"body","description":"","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/documents/purchase/bulk":{"post":{"tags":["BulkDocument"],"summary":"Generate a link to view a PDF copy of multiple purchase invoices","operationId":"BulkDocument_CreatePurchaseInvoice","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"purchaseInvoiceNumbers","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}},{"name":"order","in":"query","description":"","required":false,"type":"string"},{"name":"sortBy","in":"query","description":"","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/documents/purchasebatchpayment/bulk":{"post":{"tags":["BulkDocument"],"summary":"Generate a link to view a PDF copy of purchase batch payment","operationId":"BulkDocument_CreatePurchaseInvoice","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"batchPaymentNumber","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/invoices/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple invoices via email","operationId":"BulkEmail_SendInvoiceBulkEmail","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"invoiceNumbers","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/customerstatements/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple customer statements via email","operationId":"BulkEmail_SendCustomerStatementBulkEmail","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"customerCodes","in":"body","description":"Customer code","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"startdate","in":"query","description":"Start date YYYYMMDD","required":false,"type":"integer","format":"int32"},{"name":"enddate","in":"query","description":"End date YYYYMMDD","required":false,"type":"integer","format":"int32"},{"name":"excludepaidinvoices","in":"query","description":"Paid invoice (0/1)","required":false,"type":"integer","format":"int32"},{"name":"excludeOpeningBalance","in":"query","description":"Whether to exclude opening balance in statement or not","required":false,"type":"integer","format":"int32"},{"name":"filterby","in":"query","description":"If dates are not provided then provide filterBy as all","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/supplierstatements/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple supplier statements via email","operationId":"BulkEmail_SendSupplierStatementBulkEmail","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"supplierCodes","in":"body","description":"","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"startdate","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"enddate","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"excludepaidpurchases","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"excludeOpeningBalance","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"filterby","in":"query","description":"","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/InvoicePayment/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple customer statements via email","operationId":"BulkEmail_SendInvoicePaymentBulkEmail","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"batchPaymentId","in":"query","description":"Batch Payment Id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/purchase/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple invoices via email","operationId":"BulkEmail_SendPurchaseBulkEmail","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"purchaseNumbers","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/PurchasePayment/bulk/email":{"post":{"tags":["BulkEmail"],"summary":"Send multiple supplier statements via email","operationId":"BulkEmail_SendPurchasePaymentBulkEmail","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"batchPaymentNumber","in":"query","description":"Batch Payment Number","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/{objectType}/bulk/payments/{number}":{"get":{"tags":["BulkPayment"],"summary":"Get a payment for multiple invoices or purchases","operationId":"BulkPayment_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"objectType","in":"path","description":"","required":true,"type":"string"},{"name":"number","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false},"put":{"tags":["BulkPayment"],"summary":"Edit a payment for multiple invoices or purchases","operationId":"BulkPayment_Update","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"objectType","in":"path","description":"","required":true,"type":"string"},{"name":"number","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"bulkPayment","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.BulkPayment"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false},"delete":{"tags":["BulkPayment"],"summary":"Delete a payment for multiple invoices or purchases","operationId":"BulkPayment_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"objectType","in":"path","description":"","required":true,"type":"string"},{"name":"number","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/{objectType}/bulk/payments":{"post":{"tags":["BulkPayment"],"summary":"Create a payment for multiple invoices or purchases","operationId":"BulkPayment_Create","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"objectType","in":"path","description":"","required":true,"type":"string"},{"name":"bulkPayment","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.BulkPayment"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/reports/business/activity":{"get":{"tags":["BusinessReport"],"summary":"Get the activity report","operationId":"BusinessReport_GetActivityReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"includetransactions","in":"query","description":" 0 = SalesPurchases,  1 = Sales,  2 = Purchases","required":false,"type":"integer","format":"int32","enum":[0,1,2]},{"name":"basedon","in":"query","description":" 0 = All,  1 = PaidOnly","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"showvatrelatedinformation","in":"query","required":false,"type":"boolean"},{"name":"showfullcustomersuppliername","in":"query","required":false,"type":"boolean"},{"name":"sortby","in":"query","description":" 0 = PaidDate,  1 = Date,  2 = Number,  3 = Reference,  4 = Code,  5 = Name,  6 = Nominal,  7 = Note,  8 = MoneyIn,  9 = MoneyOut,  10 = InputVat,  11 = OutputVat","required":false,"type":"integer","format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11]},{"name":"orderby","in":"query","required":false,"type":"string"},{"name":"pagenumber","in":"query","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","required":false,"type":"integer","format":"int32"},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.ActivityReport.ActivityReportResponse"}}}},"deprecated":false}},"/reports/business/audit/users":{"get":{"tags":["BusinessReport"],"summary":"Get the audit report users","operationId":"BusinessReport_GetAuditReportUsers","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"startDate","in":"query","description":"Start Date","required":true,"type":"string"},{"name":"endDate","in":"query","description":"End Date","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"string"}}}},"deprecated":false}},"/reports/business/audit":{"get":{"tags":["BusinessReport"],"summary":"Get the audit report","operationId":"BusinessReport_GetAuditReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"transactionbasedon","in":"query","description":" 0 = SpecificTransaction,  1 = TransactionBetweenDates,  2 = TransactionCreatedOrEditedOrDeletedBetweenDates","required":false,"type":"integer","format":"int32","enum":[0,1,2]},{"name":"transactionnumber","in":"query","required":false,"type":"integer","format":"int32"},{"name":"includesalesinvoices","in":"query","required":false,"type":"boolean"},{"name":"includesalesinvoicepayments","in":"query","required":false,"type":"boolean"},{"name":"includepurchaseinvoices","in":"query","required":false,"type":"boolean"},{"name":"includepurchaseinvoicepayments","in":"query","required":false,"type":"boolean"},{"name":"includebanktransactions","in":"query","required":false,"type":"boolean"},{"name":"includejournal","in":"query","required":false,"type":"boolean"},{"name":"includedeleteditems","in":"query","required":false,"type":"boolean"},{"name":"username","in":"query","required":false,"type":"string"},{"name":"created","in":"query","required":false,"type":"boolean"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"},{"name":"perpage","in":"query","required":false,"type":"integer","format":"int32"},{"name":"order","in":"query","required":false,"type":"string"},{"name":"sortby","in":"query","description":" 0 = CreatedDate,  1 = Date,  2 = TransactionNumber,  3 = Type,  4 = Reference,  5 = Value,  6 = Narrative,  7 = TaxRate,  8 = InputTax,  9 = OutputTax,  10 = NominalCode,  11 = Changes,  12 = UserName,  13 = EntityNumber","required":false,"type":"integer","format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13]},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.Model.Reports.AuditReport.AuditReportResponse]"}}},"deprecated":false}},"/reports/business/audit/{transactionNumber}":{"get":{"tags":["BusinessReport"],"summary":"Get the audit report based on transaction number","operationId":"BusinessReport_GetAuditReportHistory","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"transactionNumber","in":"path","description":"Transaction number","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Paging[KashFlow.Accounting.Model.Reports.AuditReport.AuditReportResponse]"}}},"deprecated":false}},"/reports/business/historicsalesandexpenditure":{"get":{"tags":["BusinessReport"],"summary":"Get historic sales and expenditure report","operationId":"BusinessReport_GetHistoricSalesAndExpenditure","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"startDate","in":"query","description":"Format: yyyy-MM-dd","required":true,"type":"string"},{"name":"endDate","in":"query","description":"Format: yyyy-MM-dd","required":true,"type":"string"},{"name":"includeJournals","in":"query","description":"Include journal entries","required":true,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.HistoricSalesAndExpenditureReport.HistoricSalesAndExpenditureReportResponse"}}}},"deprecated":false}},"/reports/business/stockoverview":{"get":{"tags":["BusinessReport"],"summary":"Get stock overview report","operationId":"BusinessReport_GetStockOverview","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"ordersOnly","in":"query","description":"Only show items where you have pending orders / deliveries","required":true,"type":"boolean"},{"name":"alertsOnly","in":"query","description":"Only include items where the quantity currently in stock is below the value set for \"Alert me if Qty drops below\"","required":true,"type":"boolean"},{"name":"excludeOrdered","in":"query","description":"Exclude items that are below the alert threshold, but the quantity currently pending delivery will bring it above that level - To be considered only when Alerts only is true","required":true,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.StockOverviewReport.StockOverviewReportResponse"}}},"deprecated":false}},"/reports/business/globalproject":{"get":{"tags":["BusinessReport"],"summary":"Get global project report","operationId":"BusinessReport_GetGlobalProjectReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"projects","in":"query","description":" 0 = Completed,  1 = Active,  2 = Archived,  -1 = All","required":true,"type":"integer","format":"int32","enum":[0,1,2,-1]}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.GlobalProjectReport.GlobalProjectReportResponse"}}}},"deprecated":false}},"/reports/business/businessprogresssummary":{"get":{"tags":["BusinessReport"],"summary":"Get business progress summary report","operationId":"BusinessReport_GetBusinessProgressSummaryReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"basedon","in":"query","description":" 0 = Cash,  1 = Invoice","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.BusinessProgressSummaryReport.BusinessProgressSummaryResponse"}}},"deprecated":false}},"/reports/business/digita-export":{"get":{"tags":["BusinessReport"],"summary":"Get Digita Exports Report","operationId":"BusinessReport_GetDigitaExportsReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.DigitaExportsReportResponse"}}}},"deprecated":false}},"/reports/business/hsbc-factoring":{"get":{"tags":["BusinessReport"],"summary":"Get hsbc factoring details","operationId":"BusinessReport_GetHSBCFactoringReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"clientnumber","in":"query","required":false,"type":"string"},{"name":"password","in":"query","required":false,"type":"string"},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.HSBCFactoring.HsbcFactoringResponse"}}},"deprecated":false}},"/reports/business/prepayments-accruals":{"get":{"tags":["BusinessReport"],"summary":"Get prepayments and accruals report based on invoice or receipts","operationId":"BusinessReport_GetPrePaymentAndAccrualsReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"isbasedoninvoice","in":"query","required":false,"type":"boolean"},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.PrePaymentsAccrualsResponse"}}}},"deprecated":false}},"/reports/business/prepayments-accruals-journals-preview":{"get":{"tags":["BusinessReport"],"summary":"Get Journals Preview","operationId":"BusinessReport_GetJournalsPreviewForPrePaymentsAndAccrualsReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lineids","in":"query","required":false,"type":"string"},{"name":"nominalcode","in":"query","required":false,"type":"integer","format":"int32"},{"name":"periodtype","in":"query","description":" 0 = Days,  1 = Months","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"period","in":"query","required":false,"type":"integer","format":"int32"},{"name":"startdate","in":"query","required":false,"type":"string"},{"name":"installments","in":"query","required":false,"type":"integer","format":"int32"},{"name":"isreceipt","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.JournalsPreviewResponse"}}}},"deprecated":false}},"/reports/business/prepayments-accruals-journals-create":{"post":{"tags":["BusinessReport"],"summary":"Create journals for prepayment invoices/ purchases","operationId":"BusinessReport_CreateJournalsForPrePayments","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lineids","in":"query","required":false,"type":"string"},{"name":"nominalcode","in":"query","required":false,"type":"integer","format":"int32"},{"name":"periodtype","in":"query","description":" 0 = Days,  1 = Months","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"period","in":"query","required":false,"type":"integer","format":"int32"},{"name":"startdate","in":"query","required":false,"type":"string"},{"name":"installments","in":"query","required":false,"type":"integer","format":"int32"},{"name":"isreceipt","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}}},"deprecated":false}},"/reports/business/health-check":{"get":{"tags":["BusinessReport"],"summary":"Get health check report - This report tells you how you compare to a number of measures to check the health of your business.","operationId":"BusinessReport_GetHealthCheckReport","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.HealthCheckReportResponse"}}},"deprecated":false}},"/reports/business/cis-summary":{"get":{"tags":["BusinessReport"],"summary":"Get CIS Summary report.","operationId":"BusinessReport_GetCisSummary","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"entity","in":"query","description":" 0 = Sales,  1 = Purchases","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"basedon","in":"query","description":" 0 = All,  1 = PaidOnly","required":false,"type":"integer","format":"int32","enum":[0,1]},{"name":"customercode","in":"query","required":false,"type":"string"},{"name":"suppliercode","in":"query","required":false,"type":"string"},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.CISSummary.CisSummaryResponse"}}},"deprecated":false}},"/reports/business/sage/entity-count":{"get":{"tags":["BusinessReport"],"summary":"Get the number of customers and suppliers created in a period.","operationId":"BusinessReport_GetCustomerAndSupplierCount","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.SageExport.SageEntityCount"}}},"deprecated":false}},"/reports/business/sage/audit-trail-transaction":{"get":{"tags":["BusinessReport"],"summary":"Get Audit Trail Transaction by period for Sage export report.","operationId":"BusinessReport_GetAuditTrailTransactionByPeriod","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"includepayments","in":"query","required":false,"type":"boolean"},{"name":"startdate","in":"query","required":true,"type":"string"},{"name":"enddate","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Reports.BusinessReport.AuditTrailTransactionResponse"}}}},"deprecated":false}},"/sources":{"get":{"tags":["BusinessSources"],"summary":"Get a list of business sources","operationId":"BusinessSources_GetSourceList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"onlySources","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceList"}}},"400":{"description":"BadRequest","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceList"}}},"401":{"description":"Unauthorized Access"}},"deprecated":false}},"/sources/getSource":{"get":{"tags":["BusinessSources"],"summary":"Get source details, by name","operationId":"BusinessSources_GetSource","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"sourceName","in":"query","description":"Source Name to get source detail","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"401":{"description":"Unauthorized Access"}},"deprecated":false}},"/sources/createSource":{"post":{"tags":["BusinessSources"],"summary":"Create source","operationId":"BusinessSources_CreateNewSource","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"customerSourceRequest","in":"body","description":"Source detail to save","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceBase"}}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"401":{"description":"Unauthorized Access"}},"deprecated":false}},"/sources/{id}":{"put":{"tags":["BusinessSources"],"summary":"Update a source","operationId":"BusinessSources_UpdateSource","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"customerSource","in":"body","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceBase"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.CustomerSourceDetail"}},"401":{"description":"Unauthorized Access"}},"deprecated":false}},"/sources/deleteSource":{"delete":{"tags":["BusinessSources"],"summary":"Delete source","operationId":"BusinessSources_DeleteSource","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"name","in":"query","description":"Source Name to delete source","required":true,"type":"string"}],"responses":{"204":{"description":"Source deleted"},"400":{"description":"Invalid parameter"},"401":{"description":"Unauthorized Access"}},"deprecated":false}},"/internal/cardlesspayments":{"post":{"tags":["CardlessPayment"],"summary":"Make a cardless payment","operationId":"CardlessPayment_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"paymentDetails","in":"body","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.CardlessPaymentDetails"}}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Response.CardlessPaymentDetailResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/internal/cardpayments":{"post":{"tags":["CardPayment"],"summary":"Make a card payment","operationId":"CardPayment_Post","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"paymentDetails","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.PaymentDetails"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false}},"/internal/cardpayments/{processorType}":{"post":{"tags":["CardPayment"],"summary":"Receive a PCI payment","operationId":"CardPayment_ProcessorPCIPaymentAsync","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"paymentDetails","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.PaymentDetails"}},{"name":"processorType","in":"path","description":" 0 = NoCardPayments,  1 = SecureHosting,  2 = SagePay,  3 = IridiumCorp,  4 = Worldpay,  5 = ProcessingPoint,  6 = SagePaymentSolutions,  7 = SmartPay,  8 = AuthorizeDotNet,  9 = PayPalPro,  10 = PaymentSense,  11 = CardSave,  12 = CardStream,  14 = BarclayCardEPdq,  15 = GoCardless,  16 = McpePayPoint,  17 = GlobalPayments,  18 = EWayPayment,  19 = Stripe,  20 = BarclayCardEPdqExtraPlus,  21 = Square,  22 = IRISPay","required":true,"type":"integer","format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,14,15,16,17,18,19,20,21,22]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.CardPaymentResponse"}},"404":{"description":"No processor found with that name"}},"deprecated":false}},"/internal/cardpayments/{processorType}/refunds":{"post":{"tags":["CardPayment"],"summary":"Refund card payment for selected payment processor","operationId":"CardPayment_RefundPayment","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"refundRequest","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.RefundRequest"}},{"name":"processorType","in":"path","description":" 0 = NoCardPayments,  1 = SecureHosting,  2 = SagePay,  3 = IridiumCorp,  4 = Worldpay,  5 = ProcessingPoint,  6 = SagePaymentSolutions,  7 = SmartPay,  8 = AuthorizeDotNet,  9 = PayPalPro,  10 = PaymentSense,  11 = CardSave,  12 = CardStream,  14 = BarclayCardEPdq,  15 = GoCardless,  16 = McpePayPoint,  17 = GlobalPayments,  18 = EWayPayment,  19 = Stripe,  20 = BarclayCardEPdqExtraPlus,  21 = Square,  22 = IRISPay","required":true,"type":"integer","format":"int32","enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,14,15,16,17,18,19,20,21,22]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.Model.Payment.CardPaymentResponse"}},"404":{"description":"No processor found with that name"}},"deprecated":false}},"/categories/list":{"put":{"tags":["Category"],"summary":"Update a quote category in a bulk","operationId":"Category_UpdateCategories","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"categories","in":"body","description":"List of Category to be updated","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Wrapper.CategoryWrapper"}}],"responses":{"200":{"description":"Updated Quote Categories"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false},"post":{"tags":["Category"],"summary":"Create bulk quote category","operationId":"Category_AddCategories","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"categories","in":"body","description":"The list of quote category to be created","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.Wrapper.CategoryWrapper"}}],"responses":{"201":{"description":"Created Category"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/categories/{number}":{"delete":{"tags":["Category"],"summary":"Delete a category","operationId":"Category_Delete","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"number","in":"path","description":"Number","required":true,"type":"integer","format":"int32"},{"name":"entityType","in":"query","description":"entityType","required":true,"type":"string"}],"responses":{"204":{"description":"Deleted Quote Category"},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"401":{"description":"Unauthorized Access","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/categories/{entity}":{"get":{"tags":["Category"],"summary":"This API allows a developer to retrieve a list of categories available in specific IRIS KashFlow account.","operationId":"Category_GetList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"entity","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.CategoryRequest"}}},"401":{"description":"Unauthorized Access ","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}},"404":{"description":"Entity not found","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/categoryicons":{"get":{"tags":["CategoryIcons"],"summary":"This API allows a developer to retrieve a list of categories icons available in IRIS KashFlow which you can use while creating or updating quote categories and purchase order categories.","operationId":"CategoryIcons_GetList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.CategoryIcon"}}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/settings/companydetails":{"get":{"tags":["CompanyDetails"],"summary":"Get the company details","operationId":"CompanyDetails_GetCompanyDetails","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.CompanyDetails.CompanyDetailsResponse"}}},"deprecated":false},"put":{"tags":["CompanyDetails"],"summary":"Update the company details","operationId":"CompanyDetails_PutCompanyDetails","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"companyDetailsRequest","in":"body","description":"Company details to be updated","required":true,"schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.CompanyDetails.CompanyDetailsRequest"}},{"name":"initializeNominalSet","in":"query","description":"Informs if the company details has been initialized for a new user and/or his chart has been set.","required":false,"type":"boolean"},{"name":"saveBusinessTypeOnly","in":"query","description":"The type of the business","required":false,"type":"boolean"},{"name":"addressChanged","in":"query","description":"Informs if the company address has been changed","required":false,"type":"boolean"}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/KashFlow.Accounting.DTO.CompanyDetails.CompanyDetailsResponse"}},"400":{"description":"Invalid parameters","schema":{"$ref":"#/definitions/KashFlow.Accounting.RestApi.ExceptionHandler.ErrorResponse"}}},"deprecated":false}},"/settings/companydetails/industrysectors":{"get":{"tags":["CompanyDetails"],"summary":"Get the industry sector list","operationId":"CompanyDetails_GetIndustrySectorList","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/KashFlow.Accounting.Model.Settings.IndustrySectorList"}}}},"deprecated":false}},"/settings/companydetails/businesstypes":{"get":{"tags":["CompanyDetails"],"summary":"Get the business type list","operationId":"CompanyDetails_GetBusinessTy
[...]
